package com.mortals.xhx.module.pj.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.pj.model.PjEvaluateEntity;
/**
* 评价汇总查询对象
*
* @author zxfei
* @date 2024-05-27
*/
public class PjEvaluateQuery extends PjEvaluateEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 评价人身份证号 */
    private List<String> peopleIdcardList;

    /** 评价人身份证号排除列表 */
    private List <String> peopleIdcardNotList;
    /** 评价人姓名 */
    private List<String> peopleNameList;

    /** 评价人姓名排除列表 */
    private List <String> peopleNameNotList;
    /** 评价人性别 */
    private List<String> peopleSexList;

    /** 评价人性别排除列表 */
    private List <String> peopleSexNotList;
    /** 评价人手机号 */
    private List<String> peoplePhoneList;

    /** 评价人手机号排除列表 */
    private List <String> peoplePhoneNotList;
    /** 评价选项(非常满意,满意,基本满意,不满意,非常不满意) */
    private List<String> pjOptionList;

    /** 评价选项(非常满意,满意,基本满意,不满意,非常不满意)排除列表 */
    private List <String> pjOptionNotList;
    /** 评价标签 */
    private List<String> contentTagList;

    /** 评价标签排除列表 */
    private List <String> contentTagNotList;
    /** 评价人图片地址 */
    private List<String> picUrlList;

    /** 评价人图片地址排除列表 */
    private List <String> picUrlNotList;
    /** 部门 */
    private List<String> sectionNameList;

    /** 部门排除列表 */
    private List <String> sectionNameNotList;
    /** 大厅 */
    private List<String> hallNameList;

    /** 大厅排除列表 */
    private List <String> hallNameNotList;
    /** 评价来源 (安卓,导视机,微信) */
    private List<String> pjSourceList;

    /** 评价来源 (安卓,导视机,微信)排除列表 */
    private List <String> pjSourceNotList;
    /** 手输意见 */
    private List<String> opinionList;

    /** 手输意见排除列表 */
    private List <String> opinionNotList;
    /** 窗口名 */
    private List<String> windowNameList;

    /** 窗口名排除列表 */
    private List <String> windowNameNotList;
    /** 窗口编号 */
    private List<String> windowFromnumList;

    /** 窗口编号排除列表 */
    private List <String> windowFromnumNotList;
    /** 排号编号 */
    private List<String> flounumList;

    /** 排号编号排除列表 */
    private List <String> flounumNotList;
    /** 窗口评价(自助服务终端,背靠背评价,微官网) */
    private List<String> pjxtList;

    /** 窗口评价(自助服务终端,背靠背评价,微官网)排除列表 */
    private List <String> pjxtNotList;
    /** 工作人员姓名 */
    private List<String> workmanNameList;

    /** 工作人员姓名排除列表 */
    private List <String> workmanNameNotList;
    /** 工作人员工号 */
    private List<String> workmanNumberList;

    /** 工作人员工号排除列表 */
    private List <String> workmanNumberNotList;
    /** 评价器mac */
    private List<String> devicenumList;

    /** 评价器mac排除列表 */
    private List <String> devicenumNotList;
    /** 评价状态(等待评价,完成,截图有误,用户截图签名超时,用户评价超时,收到图片等待签名 */
    private List<String> evaluatestatusList;

    /** 评价状态(等待评价,完成,截图有误,用户截图签名超时,用户评价超时,收到图片等待签名排除列表 */
    private List <String> evaluatestatusNotList;
    /** 截图还是评价 (截图,评价) */
    private List<String> evaluatetypeList;

    /** 截图还是评价 (截图,评价)排除列表 */
    private List <String> evaluatetypeNotList;
    /** 截图地址 */
    private List<String> photobeforList;

    /** 截图地址排除列表 */
    private List <String> photobeforNotList;
    /** 签字图片 */
    private List<String> photoautographList;

    /** 签字图片排除列表 */
    private List <String> photoautographNotList;
    /** 抓拍评价人照片 */
    private List<String> pictureList;

    /** 抓拍评价人照片排除列表 */
    private List <String> pictureNotList;
    /** 音频视频地址 */
    private List<String> processList;

    /** 音频视频地址排除列表 */
    private List <String> processNotList;
    /** 评价标记 (未标记,标记非恶意差评,标记恶意差评) */
    private List<String> eyevaluateList;

    /** 评价标记 (未标记,标记非恶意差评,标记恶意差评)排除列表 */
    private List <String> eyevaluateNotList;
    /** 评价指向 (窗口评价,部门评价,排号评价) */
    private List<String> pjTypeList;

    /** 评价指向 (窗口评价,部门评价,排号评价)排除列表 */
    private List <String> pjTypeNotList;
    /** 开始 评价时间 */
    private String pjTimeStart;

    /** 结束 评价时间 */
    private String pjTimeEnd;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点编码 */
    private List<String> siteCodeList;

    /** 站点编码排除列表 */
    private List <String> siteCodeNotList;
    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 扩展编号 */
    private List<String> extNumList;

    /** 扩展编号排除列表 */
    private List <String> extNumNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PjEvaluateQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PjEvaluateQuery> andConditionList;

    public PjEvaluateQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 评价人身份证号
    * @return peopleIdcardList
    */
    public List<String> getPeopleIdcardList(){
        return this.peopleIdcardList;
    }

    /**
    * 设置 评价人身份证号
    * @param peopleIdcardList
    */
    public void setPeopleIdcardList(List<String> peopleIdcardList){
        this.peopleIdcardList = peopleIdcardList;
    }

    /**
    * 获取 评价人身份证号
    * @return peopleIdcardNotList
    */
    public List<String> getPeopleIdcardNotList(){
        return this.peopleIdcardNotList;
    }

    /**
    * 设置 评价人身份证号
    * @param peopleIdcardNotList
    */
    public void setPeopleIdcardNotList(List<String> peopleIdcardNotList){
        this.peopleIdcardNotList = peopleIdcardNotList;
    }

    /**
    * 获取 评价人姓名
    * @return peopleNameList
    */
    public List<String> getPeopleNameList(){
        return this.peopleNameList;
    }

    /**
    * 设置 评价人姓名
    * @param peopleNameList
    */
    public void setPeopleNameList(List<String> peopleNameList){
        this.peopleNameList = peopleNameList;
    }

    /**
    * 获取 评价人姓名
    * @return peopleNameNotList
    */
    public List<String> getPeopleNameNotList(){
        return this.peopleNameNotList;
    }

    /**
    * 设置 评价人姓名
    * @param peopleNameNotList
    */
    public void setPeopleNameNotList(List<String> peopleNameNotList){
        this.peopleNameNotList = peopleNameNotList;
    }

    /**
    * 获取 评价人性别
    * @return peopleSexList
    */
    public List<String> getPeopleSexList(){
        return this.peopleSexList;
    }

    /**
    * 设置 评价人性别
    * @param peopleSexList
    */
    public void setPeopleSexList(List<String> peopleSexList){
        this.peopleSexList = peopleSexList;
    }

    /**
    * 获取 评价人性别
    * @return peopleSexNotList
    */
    public List<String> getPeopleSexNotList(){
        return this.peopleSexNotList;
    }

    /**
    * 设置 评价人性别
    * @param peopleSexNotList
    */
    public void setPeopleSexNotList(List<String> peopleSexNotList){
        this.peopleSexNotList = peopleSexNotList;
    }

    /**
    * 获取 评价人手机号
    * @return peoplePhoneList
    */
    public List<String> getPeoplePhoneList(){
        return this.peoplePhoneList;
    }

    /**
    * 设置 评价人手机号
    * @param peoplePhoneList
    */
    public void setPeoplePhoneList(List<String> peoplePhoneList){
        this.peoplePhoneList = peoplePhoneList;
    }

    /**
    * 获取 评价人手机号
    * @return peoplePhoneNotList
    */
    public List<String> getPeoplePhoneNotList(){
        return this.peoplePhoneNotList;
    }

    /**
    * 设置 评价人手机号
    * @param peoplePhoneNotList
    */
    public void setPeoplePhoneNotList(List<String> peoplePhoneNotList){
        this.peoplePhoneNotList = peoplePhoneNotList;
    }

    /**
    * 获取 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
    * @return pjOptionList
    */
    public List<String> getPjOptionList(){
        return this.pjOptionList;
    }

    /**
    * 设置 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
    * @param pjOptionList
    */
    public void setPjOptionList(List<String> pjOptionList){
        this.pjOptionList = pjOptionList;
    }

    /**
    * 获取 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
    * @return pjOptionNotList
    */
    public List<String> getPjOptionNotList(){
        return this.pjOptionNotList;
    }

    /**
    * 设置 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
    * @param pjOptionNotList
    */
    public void setPjOptionNotList(List<String> pjOptionNotList){
        this.pjOptionNotList = pjOptionNotList;
    }

    /**
    * 获取 评价标签
    * @return contentTagList
    */
    public List<String> getContentTagList(){
        return this.contentTagList;
    }

    /**
    * 设置 评价标签
    * @param contentTagList
    */
    public void setContentTagList(List<String> contentTagList){
        this.contentTagList = contentTagList;
    }

    /**
    * 获取 评价标签
    * @return contentTagNotList
    */
    public List<String> getContentTagNotList(){
        return this.contentTagNotList;
    }

    /**
    * 设置 评价标签
    * @param contentTagNotList
    */
    public void setContentTagNotList(List<String> contentTagNotList){
        this.contentTagNotList = contentTagNotList;
    }

    /**
    * 获取 评价人图片地址
    * @return picUrlList
    */
    public List<String> getPicUrlList(){
        return this.picUrlList;
    }

    /**
    * 设置 评价人图片地址
    * @param picUrlList
    */
    public void setPicUrlList(List<String> picUrlList){
        this.picUrlList = picUrlList;
    }

    /**
    * 获取 评价人图片地址
    * @return picUrlNotList
    */
    public List<String> getPicUrlNotList(){
        return this.picUrlNotList;
    }

    /**
    * 设置 评价人图片地址
    * @param picUrlNotList
    */
    public void setPicUrlNotList(List<String> picUrlNotList){
        this.picUrlNotList = picUrlNotList;
    }

    /**
    * 获取 部门
    * @return sectionNameList
    */
    public List<String> getSectionNameList(){
        return this.sectionNameList;
    }

    /**
    * 设置 部门
    * @param sectionNameList
    */
    public void setSectionNameList(List<String> sectionNameList){
        this.sectionNameList = sectionNameList;
    }

    /**
    * 获取 部门
    * @return sectionNameNotList
    */
    public List<String> getSectionNameNotList(){
        return this.sectionNameNotList;
    }

    /**
    * 设置 部门
    * @param sectionNameNotList
    */
    public void setSectionNameNotList(List<String> sectionNameNotList){
        this.sectionNameNotList = sectionNameNotList;
    }

    /**
    * 获取 大厅
    * @return hallNameList
    */
    public List<String> getHallNameList(){
        return this.hallNameList;
    }

    /**
    * 设置 大厅
    * @param hallNameList
    */
    public void setHallNameList(List<String> hallNameList){
        this.hallNameList = hallNameList;
    }

    /**
    * 获取 大厅
    * @return hallNameNotList
    */
    public List<String> getHallNameNotList(){
        return this.hallNameNotList;
    }

    /**
    * 设置 大厅
    * @param hallNameNotList
    */
    public void setHallNameNotList(List<String> hallNameNotList){
        this.hallNameNotList = hallNameNotList;
    }

    /**
    * 获取 评价来源 (安卓,导视机,微信)
    * @return pjSourceList
    */
    public List<String> getPjSourceList(){
        return this.pjSourceList;
    }

    /**
    * 设置 评价来源 (安卓,导视机,微信)
    * @param pjSourceList
    */
    public void setPjSourceList(List<String> pjSourceList){
        this.pjSourceList = pjSourceList;
    }

    /**
    * 获取 评价来源 (安卓,导视机,微信)
    * @return pjSourceNotList
    */
    public List<String> getPjSourceNotList(){
        return this.pjSourceNotList;
    }

    /**
    * 设置 评价来源 (安卓,导视机,微信)
    * @param pjSourceNotList
    */
    public void setPjSourceNotList(List<String> pjSourceNotList){
        this.pjSourceNotList = pjSourceNotList;
    }

    /**
    * 获取 手输意见
    * @return opinionList
    */
    public List<String> getOpinionList(){
        return this.opinionList;
    }

    /**
    * 设置 手输意见
    * @param opinionList
    */
    public void setOpinionList(List<String> opinionList){
        this.opinionList = opinionList;
    }

    /**
    * 获取 手输意见
    * @return opinionNotList
    */
    public List<String> getOpinionNotList(){
        return this.opinionNotList;
    }

    /**
    * 设置 手输意见
    * @param opinionNotList
    */
    public void setOpinionNotList(List<String> opinionNotList){
        this.opinionNotList = opinionNotList;
    }

    /**
    * 获取 窗口名
    * @return windowNameList
    */
    public List<String> getWindowNameList(){
        return this.windowNameList;
    }

    /**
    * 设置 窗口名
    * @param windowNameList
    */
    public void setWindowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
    }

    /**
    * 获取 窗口名
    * @return windowNameNotList
    */
    public List<String> getWindowNameNotList(){
        return this.windowNameNotList;
    }

    /**
    * 设置 窗口名
    * @param windowNameNotList
    */
    public void setWindowNameNotList(List<String> windowNameNotList){
        this.windowNameNotList = windowNameNotList;
    }

    /**
    * 获取 窗口编号
    * @return windowFromnumList
    */
    public List<String> getWindowFromnumList(){
        return this.windowFromnumList;
    }

    /**
    * 设置 窗口编号
    * @param windowFromnumList
    */
    public void setWindowFromnumList(List<String> windowFromnumList){
        this.windowFromnumList = windowFromnumList;
    }

    /**
    * 获取 窗口编号
    * @return windowFromnumNotList
    */
    public List<String> getWindowFromnumNotList(){
        return this.windowFromnumNotList;
    }

    /**
    * 设置 窗口编号
    * @param windowFromnumNotList
    */
    public void setWindowFromnumNotList(List<String> windowFromnumNotList){
        this.windowFromnumNotList = windowFromnumNotList;
    }

    /**
    * 获取 排号编号
    * @return flounumList
    */
    public List<String> getFlounumList(){
        return this.flounumList;
    }

    /**
    * 设置 排号编号
    * @param flounumList
    */
    public void setFlounumList(List<String> flounumList){
        this.flounumList = flounumList;
    }

    /**
    * 获取 排号编号
    * @return flounumNotList
    */
    public List<String> getFlounumNotList(){
        return this.flounumNotList;
    }

    /**
    * 设置 排号编号
    * @param flounumNotList
    */
    public void setFlounumNotList(List<String> flounumNotList){
        this.flounumNotList = flounumNotList;
    }

    /**
    * 获取 窗口评价(自助服务终端,背靠背评价,微官网)
    * @return pjxtList
    */
    public List<String> getPjxtList(){
        return this.pjxtList;
    }

    /**
    * 设置 窗口评价(自助服务终端,背靠背评价,微官网)
    * @param pjxtList
    */
    public void setPjxtList(List<String> pjxtList){
        this.pjxtList = pjxtList;
    }

    /**
    * 获取 窗口评价(自助服务终端,背靠背评价,微官网)
    * @return pjxtNotList
    */
    public List<String> getPjxtNotList(){
        return this.pjxtNotList;
    }

    /**
    * 设置 窗口评价(自助服务终端,背靠背评价,微官网)
    * @param pjxtNotList
    */
    public void setPjxtNotList(List<String> pjxtNotList){
        this.pjxtNotList = pjxtNotList;
    }

    /**
    * 获取 工作人员姓名
    * @return workmanNameList
    */
    public List<String> getWorkmanNameList(){
        return this.workmanNameList;
    }

    /**
    * 设置 工作人员姓名
    * @param workmanNameList
    */
    public void setWorkmanNameList(List<String> workmanNameList){
        this.workmanNameList = workmanNameList;
    }

    /**
    * 获取 工作人员姓名
    * @return workmanNameNotList
    */
    public List<String> getWorkmanNameNotList(){
        return this.workmanNameNotList;
    }

    /**
    * 设置 工作人员姓名
    * @param workmanNameNotList
    */
    public void setWorkmanNameNotList(List<String> workmanNameNotList){
        this.workmanNameNotList = workmanNameNotList;
    }

    /**
    * 获取 工作人员工号
    * @return workmanNumberList
    */
    public List<String> getWorkmanNumberList(){
        return this.workmanNumberList;
    }

    /**
    * 设置 工作人员工号
    * @param workmanNumberList
    */
    public void setWorkmanNumberList(List<String> workmanNumberList){
        this.workmanNumberList = workmanNumberList;
    }

    /**
    * 获取 工作人员工号
    * @return workmanNumberNotList
    */
    public List<String> getWorkmanNumberNotList(){
        return this.workmanNumberNotList;
    }

    /**
    * 设置 工作人员工号
    * @param workmanNumberNotList
    */
    public void setWorkmanNumberNotList(List<String> workmanNumberNotList){
        this.workmanNumberNotList = workmanNumberNotList;
    }

    /**
    * 获取 评价器mac
    * @return devicenumList
    */
    public List<String> getDevicenumList(){
        return this.devicenumList;
    }

    /**
    * 设置 评价器mac
    * @param devicenumList
    */
    public void setDevicenumList(List<String> devicenumList){
        this.devicenumList = devicenumList;
    }

    /**
    * 获取 评价器mac
    * @return devicenumNotList
    */
    public List<String> getDevicenumNotList(){
        return this.devicenumNotList;
    }

    /**
    * 设置 评价器mac
    * @param devicenumNotList
    */
    public void setDevicenumNotList(List<String> devicenumNotList){
        this.devicenumNotList = devicenumNotList;
    }

    /**
    * 获取 评价状态(等待评价,完成,截图有误,用户截图签名超时,用户评价超时,收到图片等待签名
    * @return evaluatestatusList
    */
    public List<String> getEvaluatestatusList(){
        return this.evaluatestatusList;
    }

    /**
    * 设置 评价状态(等待评价,完成,截图有误,用户截图签名超时,用户评价超时,收到图片等待签名
    * @param evaluatestatusList
    */
    public void setEvaluatestatusList(List<String> evaluatestatusList){
        this.evaluatestatusList = evaluatestatusList;
    }

    /**
    * 获取 评价状态(等待评价,完成,截图有误,用户截图签名超时,用户评价超时,收到图片等待签名
    * @return evaluatestatusNotList
    */
    public List<String> getEvaluatestatusNotList(){
        return this.evaluatestatusNotList;
    }

    /**
    * 设置 评价状态(等待评价,完成,截图有误,用户截图签名超时,用户评价超时,收到图片等待签名
    * @param evaluatestatusNotList
    */
    public void setEvaluatestatusNotList(List<String> evaluatestatusNotList){
        this.evaluatestatusNotList = evaluatestatusNotList;
    }

    /**
    * 获取 截图还是评价 (截图,评价)
    * @return evaluatetypeList
    */
    public List<String> getEvaluatetypeList(){
        return this.evaluatetypeList;
    }

    /**
    * 设置 截图还是评价 (截图,评价)
    * @param evaluatetypeList
    */
    public void setEvaluatetypeList(List<String> evaluatetypeList){
        this.evaluatetypeList = evaluatetypeList;
    }

    /**
    * 获取 截图还是评价 (截图,评价)
    * @return evaluatetypeNotList
    */
    public List<String> getEvaluatetypeNotList(){
        return this.evaluatetypeNotList;
    }

    /**
    * 设置 截图还是评价 (截图,评价)
    * @param evaluatetypeNotList
    */
    public void setEvaluatetypeNotList(List<String> evaluatetypeNotList){
        this.evaluatetypeNotList = evaluatetypeNotList;
    }

    /**
    * 获取 截图地址
    * @return photobeforList
    */
    public List<String> getPhotobeforList(){
        return this.photobeforList;
    }

    /**
    * 设置 截图地址
    * @param photobeforList
    */
    public void setPhotobeforList(List<String> photobeforList){
        this.photobeforList = photobeforList;
    }

    /**
    * 获取 截图地址
    * @return photobeforNotList
    */
    public List<String> getPhotobeforNotList(){
        return this.photobeforNotList;
    }

    /**
    * 设置 截图地址
    * @param photobeforNotList
    */
    public void setPhotobeforNotList(List<String> photobeforNotList){
        this.photobeforNotList = photobeforNotList;
    }

    /**
    * 获取 签字图片
    * @return photoautographList
    */
    public List<String> getPhotoautographList(){
        return this.photoautographList;
    }

    /**
    * 设置 签字图片
    * @param photoautographList
    */
    public void setPhotoautographList(List<String> photoautographList){
        this.photoautographList = photoautographList;
    }

    /**
    * 获取 签字图片
    * @return photoautographNotList
    */
    public List<String> getPhotoautographNotList(){
        return this.photoautographNotList;
    }

    /**
    * 设置 签字图片
    * @param photoautographNotList
    */
    public void setPhotoautographNotList(List<String> photoautographNotList){
        this.photoautographNotList = photoautographNotList;
    }

    /**
    * 获取 抓拍评价人照片
    * @return pictureList
    */
    public List<String> getPictureList(){
        return this.pictureList;
    }

    /**
    * 设置 抓拍评价人照片
    * @param pictureList
    */
    public void setPictureList(List<String> pictureList){
        this.pictureList = pictureList;
    }

    /**
    * 获取 抓拍评价人照片
    * @return pictureNotList
    */
    public List<String> getPictureNotList(){
        return this.pictureNotList;
    }

    /**
    * 设置 抓拍评价人照片
    * @param pictureNotList
    */
    public void setPictureNotList(List<String> pictureNotList){
        this.pictureNotList = pictureNotList;
    }

    /**
    * 获取 音频视频地址
    * @return processList
    */
    public List<String> getProcessList(){
        return this.processList;
    }

    /**
    * 设置 音频视频地址
    * @param processList
    */
    public void setProcessList(List<String> processList){
        this.processList = processList;
    }

    /**
    * 获取 音频视频地址
    * @return processNotList
    */
    public List<String> getProcessNotList(){
        return this.processNotList;
    }

    /**
    * 设置 音频视频地址
    * @param processNotList
    */
    public void setProcessNotList(List<String> processNotList){
        this.processNotList = processNotList;
    }

    /**
    * 获取 评价标记 (未标记,标记非恶意差评,标记恶意差评)
    * @return eyevaluateList
    */
    public List<String> getEyevaluateList(){
        return this.eyevaluateList;
    }

    /**
    * 设置 评价标记 (未标记,标记非恶意差评,标记恶意差评)
    * @param eyevaluateList
    */
    public void setEyevaluateList(List<String> eyevaluateList){
        this.eyevaluateList = eyevaluateList;
    }

    /**
    * 获取 评价标记 (未标记,标记非恶意差评,标记恶意差评)
    * @return eyevaluateNotList
    */
    public List<String> getEyevaluateNotList(){
        return this.eyevaluateNotList;
    }

    /**
    * 设置 评价标记 (未标记,标记非恶意差评,标记恶意差评)
    * @param eyevaluateNotList
    */
    public void setEyevaluateNotList(List<String> eyevaluateNotList){
        this.eyevaluateNotList = eyevaluateNotList;
    }

    /**
    * 获取 评价指向 (窗口评价,部门评价,排号评价)
    * @return pjTypeList
    */
    public List<String> getPjTypeList(){
        return this.pjTypeList;
    }

    /**
    * 设置 评价指向 (窗口评价,部门评价,排号评价)
    * @param pjTypeList
    */
    public void setPjTypeList(List<String> pjTypeList){
        this.pjTypeList = pjTypeList;
    }

    /**
    * 获取 评价指向 (窗口评价,部门评价,排号评价)
    * @return pjTypeNotList
    */
    public List<String> getPjTypeNotList(){
        return this.pjTypeNotList;
    }

    /**
    * 设置 评价指向 (窗口评价,部门评价,排号评价)
    * @param pjTypeNotList
    */
    public void setPjTypeNotList(List<String> pjTypeNotList){
        this.pjTypeNotList = pjTypeNotList;
    }

    /**
    * 获取 开始 评价时间
    * @return pjTimeStart
    */
    public String getPjTimeStart(){
        return this.pjTimeStart;
    }

    /**
    * 设置 开始 评价时间
    * @param pjTimeStart
    */
    public void setPjTimeStart(String pjTimeStart){
        this.pjTimeStart = pjTimeStart;
    }

    /**
    * 获取 结束 评价时间
    * @return pjTimeEnd
    */
    public String getPjTimeEnd(){
        return this.pjTimeEnd;
    }

    /**
    * 设置 结束 评价时间
    * @param pjTimeEnd
    */
    public void setPjTimeEnd(String pjTimeEnd){
        this.pjTimeEnd = pjTimeEnd;
    }

    /**
    * 获取 开始 站点Id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点编码
    * @return siteCodeList
    */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
    * 设置 站点编码
    * @param siteCodeList
    */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }

    /**
    * 获取 站点编码
    * @return siteCodeNotList
    */
    public List<String> getSiteCodeNotList(){
        return this.siteCodeNotList;
    }

    /**
    * 设置 站点编码
    * @param siteCodeNotList
    */
    public void setSiteCodeNotList(List<String> siteCodeNotList){
        this.siteCodeNotList = siteCodeNotList;
    }

    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 扩展编号
    * @return extNumList
    */
    public List<String> getExtNumList(){
        return this.extNumList;
    }

    /**
    * 设置 扩展编号
    * @param extNumList
    */
    public void setExtNumList(List<String> extNumList){
        this.extNumList = extNumList;
    }

    /**
    * 获取 扩展编号
    * @return extNumNotList
    */
    public List<String> getExtNumNotList(){
        return this.extNumNotList;
    }

    /**
    * 设置 扩展编号
    * @param extNumNotList
    */
    public void setExtNumNotList(List<String> extNumNotList){
        this.extNumNotList = extNumNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public PjEvaluateQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public PjEvaluateQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public PjEvaluateQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public PjEvaluateQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public PjEvaluateQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public PjEvaluateQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 评价人身份证号
    * @param peopleIdcard
    */
    public PjEvaluateQuery peopleIdcard(String peopleIdcard){
        setPeopleIdcard(peopleIdcard);
		return this;
    }

    /**
    * 设置 评价人身份证号
    * @param peopleIdcardList
    */
    public PjEvaluateQuery peopleIdcardList(List<String> peopleIdcardList){
        this.peopleIdcardList = peopleIdcardList;
		return this;
    }


	/**
    * 设置 评价人姓名
    * @param peopleName
    */
    public PjEvaluateQuery peopleName(String peopleName){
        setPeopleName(peopleName);
		return this;
    }

    /**
    * 设置 评价人姓名
    * @param peopleNameList
    */
    public PjEvaluateQuery peopleNameList(List<String> peopleNameList){
        this.peopleNameList = peopleNameList;
		return this;
    }


	/**
    * 设置 评价人性别
    * @param peopleSex
    */
    public PjEvaluateQuery peopleSex(String peopleSex){
        setPeopleSex(peopleSex);
		return this;
    }

    /**
    * 设置 评价人性别
    * @param peopleSexList
    */
    public PjEvaluateQuery peopleSexList(List<String> peopleSexList){
        this.peopleSexList = peopleSexList;
		return this;
    }


	/**
    * 设置 评价人手机号
    * @param peoplePhone
    */
    public PjEvaluateQuery peoplePhone(String peoplePhone){
        setPeoplePhone(peoplePhone);
		return this;
    }

    /**
    * 设置 评价人手机号
    * @param peoplePhoneList
    */
    public PjEvaluateQuery peoplePhoneList(List<String> peoplePhoneList){
        this.peoplePhoneList = peoplePhoneList;
		return this;
    }


	/**
    * 设置 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
    * @param pjOption
    */
    public PjEvaluateQuery pjOption(String pjOption){
        setPjOption(pjOption);
		return this;
    }

    /**
    * 设置 评价选项(非常满意,满意,基本满意,不满意,非常不满意)
    * @param pjOptionList
    */
    public PjEvaluateQuery pjOptionList(List<String> pjOptionList){
        this.pjOptionList = pjOptionList;
		return this;
    }


	/**
    * 设置 评价标签
    * @param contentTag
    */
    public PjEvaluateQuery contentTag(String contentTag){
        setContentTag(contentTag);
		return this;
    }

    /**
    * 设置 评价标签
    * @param contentTagList
    */
    public PjEvaluateQuery contentTagList(List<String> contentTagList){
        this.contentTagList = contentTagList;
		return this;
    }


	/**
    * 设置 评价人图片地址
    * @param picUrl
    */
    public PjEvaluateQuery picUrl(String picUrl){
        setPicUrl(picUrl);
		return this;
    }

    /**
    * 设置 评价人图片地址
    * @param picUrlList
    */
    public PjEvaluateQuery picUrlList(List<String> picUrlList){
        this.picUrlList = picUrlList;
		return this;
    }


	/**
    * 设置 部门
    * @param sectionName
    */
    public PjEvaluateQuery sectionName(String sectionName){
        setSectionName(sectionName);
		return this;
    }

    /**
    * 设置 部门
    * @param sectionNameList
    */
    public PjEvaluateQuery sectionNameList(List<String> sectionNameList){
        this.sectionNameList = sectionNameList;
		return this;
    }


	/**
    * 设置 大厅
    * @param hallName
    */
    public PjEvaluateQuery hallName(String hallName){
        setHallName(hallName);
		return this;
    }

    /**
    * 设置 大厅
    * @param hallNameList
    */
    public PjEvaluateQuery hallNameList(List<String> hallNameList){
        this.hallNameList = hallNameList;
		return this;
    }


	/**
    * 设置 评价来源 (安卓,导视机,微信)
    * @param pjSource
    */
    public PjEvaluateQuery pjSource(String pjSource){
        setPjSource(pjSource);
		return this;
    }

    /**
    * 设置 评价来源 (安卓,导视机,微信)
    * @param pjSourceList
    */
    public PjEvaluateQuery pjSourceList(List<String> pjSourceList){
        this.pjSourceList = pjSourceList;
		return this;
    }


	/**
    * 设置 手输意见
    * @param opinion
    */
    public PjEvaluateQuery opinion(String opinion){
        setOpinion(opinion);
		return this;
    }

    /**
    * 设置 手输意见
    * @param opinionList
    */
    public PjEvaluateQuery opinionList(List<String> opinionList){
        this.opinionList = opinionList;
		return this;
    }


	/**
    * 设置 窗口名
    * @param windowName
    */
    public PjEvaluateQuery windowName(String windowName){
        setWindowName(windowName);
		return this;
    }

    /**
    * 设置 窗口名
    * @param windowNameList
    */
    public PjEvaluateQuery windowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
		return this;
    }


	/**
    * 设置 窗口编号
    * @param windowFromnum
    */
    public PjEvaluateQuery windowFromnum(String windowFromnum){
        setWindowFromnum(windowFromnum);
		return this;
    }

    /**
    * 设置 窗口编号
    * @param windowFromnumList
    */
    public PjEvaluateQuery windowFromnumList(List<String> windowFromnumList){
        this.windowFromnumList = windowFromnumList;
		return this;
    }


	/**
    * 设置 排号编号
    * @param flounum
    */
    public PjEvaluateQuery flounum(String flounum){
        setFlounum(flounum);
		return this;
    }

    /**
    * 设置 排号编号
    * @param flounumList
    */
    public PjEvaluateQuery flounumList(List<String> flounumList){
        this.flounumList = flounumList;
		return this;
    }


	/**
    * 设置 窗口评价(自助服务终端,背靠背评价,微官网)
    * @param pjxt
    */
    public PjEvaluateQuery pjxt(String pjxt){
        setPjxt(pjxt);
		return this;
    }

    /**
    * 设置 窗口评价(自助服务终端,背靠背评价,微官网)
    * @param pjxtList
    */
    public PjEvaluateQuery pjxtList(List<String> pjxtList){
        this.pjxtList = pjxtList;
		return this;
    }


	/**
    * 设置 工作人员姓名
    * @param workmanName
    */
    public PjEvaluateQuery workmanName(String workmanName){
        setWorkmanName(workmanName);
		return this;
    }

    /**
    * 设置 工作人员姓名
    * @param workmanNameList
    */
    public PjEvaluateQuery workmanNameList(List<String> workmanNameList){
        this.workmanNameList = workmanNameList;
		return this;
    }


	/**
    * 设置 工作人员工号
    * @param workmanNumber
    */
    public PjEvaluateQuery workmanNumber(String workmanNumber){
        setWorkmanNumber(workmanNumber);
		return this;
    }

    /**
    * 设置 工作人员工号
    * @param workmanNumberList
    */
    public PjEvaluateQuery workmanNumberList(List<String> workmanNumberList){
        this.workmanNumberList = workmanNumberList;
		return this;
    }


	/**
    * 设置 评价器mac
    * @param devicenum
    */
    public PjEvaluateQuery devicenum(String devicenum){
        setDevicenum(devicenum);
		return this;
    }

    /**
    * 设置 评价器mac
    * @param devicenumList
    */
    public PjEvaluateQuery devicenumList(List<String> devicenumList){
        this.devicenumList = devicenumList;
		return this;
    }


	/**
    * 设置 评价状态(等待评价,完成,截图有误,用户截图签名超时,用户评价超时,收到图片等待签名
    * @param evaluatestatus
    */
    public PjEvaluateQuery evaluatestatus(String evaluatestatus){
        setEvaluatestatus(evaluatestatus);
		return this;
    }

    /**
    * 设置 评价状态(等待评价,完成,截图有误,用户截图签名超时,用户评价超时,收到图片等待签名
    * @param evaluatestatusList
    */
    public PjEvaluateQuery evaluatestatusList(List<String> evaluatestatusList){
        this.evaluatestatusList = evaluatestatusList;
		return this;
    }


	/**
    * 设置 截图还是评价 (截图,评价)
    * @param evaluatetype
    */
    public PjEvaluateQuery evaluatetype(String evaluatetype){
        setEvaluatetype(evaluatetype);
		return this;
    }

    /**
    * 设置 截图还是评价 (截图,评价)
    * @param evaluatetypeList
    */
    public PjEvaluateQuery evaluatetypeList(List<String> evaluatetypeList){
        this.evaluatetypeList = evaluatetypeList;
		return this;
    }


	/**
    * 设置 截图地址
    * @param photobefor
    */
    public PjEvaluateQuery photobefor(String photobefor){
        setPhotobefor(photobefor);
		return this;
    }

    /**
    * 设置 截图地址
    * @param photobeforList
    */
    public PjEvaluateQuery photobeforList(List<String> photobeforList){
        this.photobeforList = photobeforList;
		return this;
    }


	/**
    * 设置 签字图片
    * @param photoautograph
    */
    public PjEvaluateQuery photoautograph(String photoautograph){
        setPhotoautograph(photoautograph);
		return this;
    }

    /**
    * 设置 签字图片
    * @param photoautographList
    */
    public PjEvaluateQuery photoautographList(List<String> photoautographList){
        this.photoautographList = photoautographList;
		return this;
    }


	/**
    * 设置 抓拍评价人照片
    * @param picture
    */
    public PjEvaluateQuery picture(String picture){
        setPicture(picture);
		return this;
    }

    /**
    * 设置 抓拍评价人照片
    * @param pictureList
    */
    public PjEvaluateQuery pictureList(List<String> pictureList){
        this.pictureList = pictureList;
		return this;
    }


	/**
    * 设置 音频视频地址
    * @param process
    */
    public PjEvaluateQuery process(String process){
        setProcess(process);
		return this;
    }

    /**
    * 设置 音频视频地址
    * @param processList
    */
    public PjEvaluateQuery processList(List<String> processList){
        this.processList = processList;
		return this;
    }


	/**
    * 设置 评价标记 (未标记,标记非恶意差评,标记恶意差评)
    * @param eyevaluate
    */
    public PjEvaluateQuery eyevaluate(String eyevaluate){
        setEyevaluate(eyevaluate);
		return this;
    }

    /**
    * 设置 评价标记 (未标记,标记非恶意差评,标记恶意差评)
    * @param eyevaluateList
    */
    public PjEvaluateQuery eyevaluateList(List<String> eyevaluateList){
        this.eyevaluateList = eyevaluateList;
		return this;
    }


	/**
    * 设置 评价指向 (窗口评价,部门评价,排号评价)
    * @param pjType
    */
    public PjEvaluateQuery pjType(String pjType){
        setPjType(pjType);
		return this;
    }

    /**
    * 设置 评价指向 (窗口评价,部门评价,排号评价)
    * @param pjTypeList
    */
    public PjEvaluateQuery pjTypeList(List<String> pjTypeList){
        this.pjTypeList = pjTypeList;
		return this;
    }


    /**
    * 设置  站点Id
    * @param siteId
    */
    public PjEvaluateQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public PjEvaluateQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public PjEvaluateQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public PjEvaluateQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public PjEvaluateQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id
        * @param siteIdNotList
        */
        public PjEvaluateQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点编码
    * @param siteCode
    */
    public PjEvaluateQuery siteCode(String siteCode){
        setSiteCode(siteCode);
		return this;
    }

    /**
    * 设置 站点编码
    * @param siteCodeList
    */
    public PjEvaluateQuery siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
		return this;
    }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public PjEvaluateQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public PjEvaluateQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }


	/**
    * 设置 扩展编号
    * @param extNum
    */
    public PjEvaluateQuery extNum(String extNum){
        setExtNum(extNum);
		return this;
    }

    /**
    * 设置 扩展编号
    * @param extNumList
    */
    public PjEvaluateQuery extNumList(List<String> extNumList){
        this.extNumList = extNumList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PjEvaluateQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PjEvaluateQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PjEvaluateQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PjEvaluateQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PjEvaluateQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PjEvaluateQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PjEvaluateQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PjEvaluateQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PjEvaluateQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PjEvaluateQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}